Bug 1764096 - Plans for continuing Python 2 support for python-dns?
Summary: Plans for continuing Python 2 support for python-dns?
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-dns
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1824036
TreeView+ depends on / blocked
 
Reported: 2019-10-22 09:01 UTC by Paul Howarth
Modified: 2020-04-16 08:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Paul Howarth 2019-10-22 09:01:51 UTC
Hi,

I'm the maintainer of trac-spamfilter-plugin, which has a dependency on python2-dns. The trac application and its plugins have not yet been ported to Python 3, so there is a co-ordination effort going on in #1737930 to check the ongoing support status of the necessary dependencies for trac and its plugins.

Are you OK with continuing support for python2-dns in Fedora 32 and possibly Fedora 33?

python2-dns has dependencies on python-crypto (which I maintain) and python2-typing (which is orphaned but I am in the process of taking it over). I am content to maintain these to support trac.

Comment 1 Paul Howarth 2020-01-07 11:03:33 UTC
Please consider switching crypto backend from python-crypto to python-pycryptodomex (https://src.fedoraproject.org/rpms/python-dns/pull-request/1) so we can drop Python2 support from (dead upstream) python-crypto. I would like to move towards retiring python-crypto altogether at some point.

Comment 2 Avram Lubkin 2020-01-22 15:32:39 UTC
Crypto support has been switched in rawhide.

Python 2 support is still in place, but I'm not sure how long that can be maintained. If upstream does a new release, which is long overdue, Python 2 will not be supported since they have already dropped support. It looks like trac has been working on this Python 3 support for 5 years but are finally starting to see there is urgency to get it done.
https://trac.edgewall.org/ticket/12130

Comment 3 Ben Cotton 2020-02-11 17:28:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.